import React from 'react';
import { FieldConfig } from 'formik';
import { IMultiSelectProps, IFieldProps } from 'practical-react-components-core';
export interface IFormikMultiSelectProps<V extends string = string> extends Omit<IMultiSelectProps<V>, 'name' | 'value'>, Partial<Pick<IMultiSelectProps<V>, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare function FormikMultiSelect<V extends string = string>({ name, validate, ...props }: IFormikMultiSelectProps<V>): JSX.Element;
export declare const FormikMultiSelectField: <V extends string = string>(props: IFieldProps & IFormikMultiSelectProps<V>) => React.ReactElement<any, any> | null;
