import React from 'react';
import { FieldConfig } from 'formik';
import { ITextAreaProps } from 'practical-react-components-core';
export interface IFormikTextAreaProps extends Omit<ITextAreaProps, 'name' | 'value'>, Partial<Pick<ITextAreaProps, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare const FormikTextArea: React.FC<IFormikTextAreaProps>;
export declare const FormikTextAreaField: React.FunctionComponent<import("practical-react-components-core").IFieldProps & IFormikTextAreaProps>;
