import React from 'react';
import { FieldConfig } from 'formik';
import { ITextInputProps } from 'practical-react-components-core';
export interface IFormikTextInputProps extends Omit<ITextInputProps, 'name' | 'value'>, Partial<Pick<ITextInputProps, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare const FormikTextInput: React.FC<IFormikTextInputProps>;
export declare const FormikTextInputField: React.FunctionComponent<import("practical-react-components-core").IFieldProps & IFormikTextInputProps>;
