import React from 'react';
import { FieldConfig } from 'formik';
import { INumberInputProps } from 'practical-react-components-core';
export interface IFormikNumberInputProps extends Omit<INumberInputProps, 'name' | 'value'>, Pick<FieldConfig, 'name' | 'validate'> {
    readonly value?: number;
}
export declare const FormikNumberInput: React.FC<IFormikNumberInputProps>;
export declare const FormikNumberInputField: React.FunctionComponent<import("practical-react-components-core").IFieldProps & IFormikNumberInputProps>;
