import React from 'react';
import { FieldConfig } from 'formik';
import { ISelectProps, IOption } from 'practical-react-components-core';
interface IFormikNumberSelectOptions extends Omit<IOption, 'value'> {
    readonly value: number;
}
interface IFormikNumberSelectProps extends Omit<ISelectProps, 'name' | 'value' | 'options'>, Pick<FieldConfig, 'name' | 'validate'> {
    readonly options: ReadonlyArray<IFormikNumberSelectOptions>;
    readonly value?: number;
}
export declare const FormikNumberSelect: React.FC<IFormikNumberSelectProps>;
export declare const FormikNumberSelectField: React.FunctionComponent<import("practical-react-components-core").IFieldProps & IFormikNumberSelectProps>;
export {};
