import React from 'react';
import { FieldConfig } from 'formik';
import { IRadioButtonGroupProps } from 'practical-react-components-core';
export interface IFormikRadioButtonGroupProps extends Omit<IRadioButtonGroupProps, 'name' | 'value'>, Partial<Pick<IRadioButtonGroupProps, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare const FormikRadioButtonGroup: React.FC<IFormikRadioButtonGroupProps>;
export declare const FormikRadioButtonGroupField: React.FunctionComponent<import("practical-react-components-core").IFieldProps & IFormikRadioButtonGroupProps>;
