import React from 'react';
import { ISwitchProps } from 'practical-react-components-core';
export interface IFormikSwitchProps extends Omit<ISwitchProps, 'name' | 'checked'>, Partial<Pick<ISwitchProps, 'checked'>> {
    readonly name: string;
}
export declare const FormikSwitch: React.FC<IFormikSwitchProps>;
export declare const FormikSwitchField: React.FunctionComponent<import("practical-react-components-core").IFieldProps & IFormikSwitchProps>;
